Bug Hunting Session
Bug 47355 - EDITING: When shrinking an object anchored as character, paragraph below it doesn't update its position
Summary: EDITING: When shrinking an object anchored as character, paragraph below it d...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium normal
Assignee: Björn Michaelsen
URL:
Whiteboard: target:4.3.0 target:4.2.4
Keywords: regression
: 46463 46902 48498 51056 51211 51825 52428 56186 56749 62777 64474 64684 64732 64944 69844 76615 77181 80287 (view as bug list)
Depends on:
Blocks: mab4.1
  Show dependency treegraph
 
Reported: 2012-03-15 06:30 UTC by josiasmat
Modified: 2018-11-25 07:42 UTC (History)
39 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshots after and before resizing the image. (257.46 KB, image/jpeg)
2012-03-15 06:30 UTC, josiasmat
Details
test document with image anchored as character (18.25 KB, application/vnd.oasis.opendocument.text)
2012-03-22 07:07 UTC, Cor Nouws
Details
Sample Document showing problem (10.64 KB, application/vnd.oasis.opendocument.text)
2012-03-22 07:46 UTC, Rainer Bielefeld Retired
Details
New Sample Document 3 (26.71 KB, application/vnd.oasis.opendocument.text)
2012-03-22 22:35 UTC, Rainer Bielefeld Retired
Details
Sample document with formula (25.77 KB, application/vnd.oasis.opendocument.text)
2013-01-30 12:30 UTC, rathlev
Details
Bug 47355 in LO Writer 4.4.0.3 (1.33 MB, application/vnd.oasis.opendocument.text)
2015-03-31 12:06 UTC, Bart
Details

Note You need to log in before you can comment on or make changes to this bug.
Description josiasmat 2012-03-15 06:30:45 UTC
Created attachment 58510 [details]
Screenshots after and before resizing the image.

When resizing an image anchored as character, the paragraph below it does not come up following the new size of the image.

Steps to reproduce:
1. Open a new document in Writer.
2. Type some text, and press Enter (new line).
3. Insert a picture.
4. Anchor this picture as character (right-click on the image > Anchor > As character).
5. Click on the right side of the image to put the cursor after it.
6. Type some text on a new paragraph (press Enter before).
7. Now, resize down the image.
What occurs:
- The paragraph below the image does not follow the new size of the image.
Expected behavior:
- The paragraph should come up, following the image's new size.

Screenshot attached.

Tested on LibreOffice 3.5.0 and 3.5.1.
Windows 7 32-bits SP1.
Core 2 Duo E6400, 3GB RAM.

(Sorry for my bad english.)
Comment 1 josiasmat 2012-03-15 06:34:13 UTC
One detail more:
If you save the file, close it and reopen it, Writer then adjust the paragraph's position correctly.
But if you resize the image again, the bug persists.
Comment 2 josiasmat 2012-03-15 07:22:27 UTC
This bug doesn't affect LibreOffice 3.4 (at least not 3.4.5).
Comment 3 Rainer Bielefeld Retired 2012-03-21 06:49:48 UTC
Very old Bug in Master branch, already visible in 3.5 Master in July 2011
Still a problem with parallel installation of "LOdev 3.5.2rc0+  [Build ID: ec752de-73cb0b8-f269e46] Win-x86@6-fast pull time 2012-03-19 11:08:23 – WIN7 Home Premium (64bit)
Comment 4 Roman Eisele 2012-03-21 07:50:36 UTC
[Reproducible] with LibreOffice 3.5.1.2 (Build-ID: dc9775d-05ecbee-0851ad3-1586698-727bf66) running on MacOS X 10.6.8, using the steps given in original description. The result is exactly the same as Josiasmat's screenshot shows.

Changed Platform from 'Windows' to 'All' because the bug is also present on MacOS. (Could someone try on some Linux variant, please?)

Not a critical bug, but a very annoying (and ridiculous) one.
Comment 5 Silviu Berbinschi 2012-03-21 08:21:49 UTC
[reproductible] on all platforms, windows x64 and ubuntu linux amd64, for both 3.5 and 3.5.1.
It is important for large documents (phd. thesis, in my case) where resize an image, make a lot of work for repagination.
Comment 6 Rainer Bielefeld Retired 2012-03-21 09:04:27 UTC
@Silviu Berbinschi
The Platform fild normally will be ignored. Please do not do useless Status field modifications
Comment 7 Cor Nouws 2012-03-22 07:06:12 UTC
[ people pls try to become heroes in writing clear summaries :-) ]

Hmm, I cannot reproduce this in 3.4.6, 3,5,2rc1 nd in buld from master.
All on Ubuntu.
Will attach sample document.

Josias, can you pls retry /  provide a test document ?
thanks! - Cor
Comment 8 Cor Nouws 2012-03-22 07:07:05 UTC
Created attachment 58871 [details]
test document with image anchored as character
Comment 9 Rainer Bielefeld Retired 2012-03-22 07:46:46 UTC
Created attachment 58875 [details]
Sample Document showing problem

@Cor Nouws:
Indeed, with your sample I can not see the problem. Attached Document shows the problem.
I created my document exactly followint reporter's steps.
Comment 10 Cor Nouws 2012-03-22 09:00:32 UTC
(In reply to comment #9)
> Created attachment 58875 [details]
> Sample Document showing problem


Cannot download it for some reason. Mind to send it directly to me pls :-)
Comment 11 Jean-Baptiste Faure 2012-03-22 12:29:44 UTC
(In reply to comment #9)
> Created attachment 58875 [details]
> Sample Document showing problem
> 
> @Cor Nouws:
> Indeed, with your sample I can not see the problem. Attached Document shows the
> problem.
> I created my document exactly followint reporter's steps.

It depends if there is some text on the line before the picture. In the doc sample from Cor, if you remove the words "Aap noot " before the picture, then you can reproduce the bug.

Best regards. JBF
Comment 12 Roman Eisele 2012-03-22 12:47:20 UTC
Why Platform = "Windows"? The bug is also present on MacOS X, see my comment #4. Therefore, changed Platform back to "All", to prevent the (wrong) assumption this was a Windows-only bug.
Comment 13 Cor Nouws 2012-03-22 13:14:00 UTC
(In reply to comment #11)
> It depends if there is some text on the line before the picture. In the doc
> sample from Cor, if you remove the words "Aap noot " before the picture, then
> you can reproduce the bug.

And I thought I had tried that too :-)
Apparently there was a single space in front of the image at that moment.

Simple work arounds, will not be a wide spread use case, so I remove this one from the most annoying container issue.
Comment 14 Rainer Bielefeld Retired 2012-03-22 22:34:08 UTC
<http://wiki.documentfoundation.org/BugReport_Details#Version>


The problem is not limited to pictures, same with DRAW objects, OLE objects, Fontwork, ..., see attached "newsample3.ods"

@Cor:
I can't see a workaround, and I do not believe that "will not be a wide spread use case". Since I started to use OOo I read "use "Anchor as character to avoid problems", and now users have these problems ...

@Michael:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug
Comment 15 Rainer Bielefeld Retired 2012-03-22 22:35:29 UTC
Created attachment 58902 [details]
New Sample Document 3

See Comment 14
Comment 16 josiasmat 2012-03-23 06:25:08 UTC
(In reply to comment #14)
> <http://wiki.documentfoundation.org/BugReport_Details#Version>
> 
> 
> The problem is not limited to pictures, same with DRAW objects, OLE objects,
> Fontwork, ..., see attached "newsample3.ods"
> 
> @Cor:
> I can't see a workaround, and I do not believe that "will not be a wide spread
> use case". Since I started to use OOo I read "use "Anchor as character to avoid
> problems", and now users have these problems ...
> 
> @Michael:
> Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept
> this Bug

The workaround is to add a space (or any text) after the object, thus the position of the rest of the text is updated.

But evidently not everyone is readying this bug report, thus not everyone will know this workaround, so I believe this is yes a very annoying bug for who have to deal with a lot of images, graphs, objects... in a document. I myself discovered the bug when I was writing a tutorial with images, and at the moment I've not figured out the workaround, so I restarted Writer every time I wanted to see things in their proper places.

Excuse me for saying this, but I think this is the kind of bug that makes one consider going back to M$ Word.
Comment 17 vitriol 2012-03-23 07:02:34 UTC
(In reply to comment #16)

> Excuse me for saying this, but I think this is the kind of bug that makes one
> consider going back to M$ Word.

I'm sorry, but I agree with you. I'm a ten years OOo power user, I created an Italian  newsgroup for OOo and derivative many years ago, but I sadly can't use LibO for productive use. It's a real pain for hits bugs and erratic behavior, and I receive a lot of complaints.
Comment 18 Roman Eisele 2012-03-23 07:15:13 UTC
Added this bug again to our meta bug 37361 - "LibreOffice 3.5 most annoying
bugs", convinced by the comments of Rainer, Josiasmat, and Vitriol. Especially I have to agree to Rainer's statement that this could be a rather wide spread problem, and it is this kind of problem which is very frustrating for many users (cf. Vitriol's last comment).
Comment 19 Rainer Bielefeld Retired 2012-03-23 09:52:15 UTC
@Cor:
Yes, of course, the space will do the job, but  think that it's a makeshift, not an acceptable workaround (for someone who wrote a dissertation and now has to add 500 spaces for his picture size fine tuning ...). Let's be generous with the MAB tag. But of course I agree, we should avoid making more or less every bug a MAB.
Comment 20 Cor Nouws 2012-03-23 12:30:15 UTC
hi all,
Ah well, sorry if I misinterpertred the severity for many people. Sometimes I just happen to think to simple ;-)
No objection from me for MAB then of course.
Comment 21 hitec_tsc 2012-03-26 01:33:25 UTC
(In reply to comment #16)
> Excuse me for saying this, but I think this is the kind of bug that makes one
> consider going back to M$ Word.

I so aggree to this. Our company has been using (or at least trying to use) OO/LibO for several years now for a few . Everytime we try to update and spread a new version regression bugs like this keep us from doing so. You guys should really handle regressions more serious to be honest.
Comment 22 Roman Eisele 2012-04-03 01:44:14 UTC
Yet another attempt to fix the headline/summary spelling ... (it’s ‘shrinking’, not ‘schrinking’, a spelling that looks rather German to me ;-)
Comment 23 dE 2012-04-15 21:03:05 UTC
Not a major bug.
Comment 24 vitriol 2012-04-15 22:22:41 UTC
(In reply to comment #23)
> Not a major bug.

ROTFL. No comment...
Comment 25 Roland Baudin 2012-05-11 08:16:16 UTC
Hi,
same problem here with LibreOffice 3.5.3 under Linux. this bug is indeed very annoying : dealing with technical documents, we insert a lot of images and we often resize these images. The workaround is not easy to find, and I'd not discover it without this bug report.
So, please fix this annoying bug...
RB
Comment 26 vitriol 2012-06-13 22:14:25 UTC
*** Bug 51056 has been marked as a duplicate of this bug. ***
Comment 27 vitriol 2012-06-18 22:42:07 UTC
*** Bug 51211 has been marked as a duplicate of this bug. ***
Comment 28 hitec_tsc 2012-07-24 10:01:21 UTC
Any updates on this? This bug keeps our company from using the latest version of LibO. 

I mean this bug has been around for like 4 months and is one of the most annoying when working with larger documents with lots of pictures in them and all pictures are anchored as characters.
Comment 29 Roman Eisele 2012-10-05 07:50:09 UTC
If a bug fits into the “3.5 most annyoing bugs” list, we do not want it on the 3.6 MAB list, please see https://wiki.documentfoundation.org/Most_Annoying_Bugs
Comment 30 hitec_tsc 2012-10-08 07:54:51 UTC
Instead of changing version numbers or removing it from a MAB list or whatever (since that's all you've been doing in about 7 months the bug exists) you should like put the effort into fixing it maybe. 

I really can't believe this bug has not been able to get fixed in almost 7 months of time. 

I'm sorry to say, but people already posted exact reproduction information and even workarounds for it and still the bug status is NEW and all you've been doing is 'move' it around and mess with the bug infos for your MAB list and stuff.

Sorry if this sounds harsh, but that's the way most people probably feel about this and as far as I can tell our company (although we would really like to) will not upgrade any further than LibO 3.4. Kind of sad isn't it?

And by the way, this bug still exists in 3.6.x so the bug report version has to be set to that AFAIK, doesn't it? MAB list and bug report version are kind of different things.

PS: If this doesn't belong here, I'm sorry, but this is still the place which is ignored least usually.
Comment 31 manj_k 2012-10-08 19:34:24 UTC
*** Bug 51825 has been marked as a duplicate of this bug. ***
Comment 32 Cor Nouws 2012-10-22 08:14:15 UTC
Hi,

(In reply to comment #30)
> Instead of changing version numbers or removing it from a MAB list or
> whatever (since that's all you've been doing in about 7 months the bug
> exists) you should like put the effort into fixing it maybe. 

Please try to be kind for the people putting effort in helping with bug triage. It's a lot of work. And important, to reduce the change that bugs are not getting the attention they deserve. (And then still, alas, it's sometimes long to wait, we/I know that.)
And people doing bug triage, mostly are not working in the code.

> And by the way, this bug still exists in 3.6.x so the bug report version has
> to be set to that AFAIK, doesn't it? MAB list and bug report version are
> kind of different things.

People doing bug triage know how this must be handled. You can find it on the QA wiki too.
  http://wiki.documentfoundation.org/QA#How_to_participate

Regards - Cor
Comment 33 Cor Nouws 2012-10-22 21:07:22 UTC
I've talked with one of the devs.
It would be helpsome if we could really narrow down the time-frame in which the issue was introduced in the code.
Without having looked myself (running...) : from comment #2 we know that is was OK in 3.4.5
So it must have been introduced in one of the commits in master, that did not make it to 3.4.x...
Is there maybe someone under the readers who happens to have some developer snapshot/daily build from the period July 2011 end December 2011 ?
Would be usefull if we could test with versions from then.
Cheers,
Comment 34 Rainer Bielefeld Retired 2012-10-23 05:52:14 UTC
(In reply to comment #33)
Due to Comment 3 the Bug has been introduced before 2011-August. Unfortunately I can not contribute exact pull date of my most early available Version for a test:

Already [Reproducible] with Server installation of Master "LibO-dev 3.5.0  – WIN7 Home Premium (64bit) English UI 
[(Build ID:d337f79-a24c961-2865670-9752b71-7f8fd43
	2fdd60d-fd28b6a-fd7bf20-aa369cb-28da3fb
	6a9633a-931d089-ecd263f-c9b55e9-b31b807
	82ff335-599f7e9-bc6a545-1926fdf)]"  from (July 2011?)

The most early hit in Bugzilla for that version is 2011-08-02 06:33:08 UTC
Comment 35 hitec_tsc 2012-10-23 07:22:07 UTC
(In reply to comment #32)
> Please try to be kind for the people putting effort in helping with bug
> triage. It's a lot of work. And important, to reduce the change that bugs
> are not getting the attention they deserve. (And then still, alas, it's
> sometimes long to wait, we/I know that.)
> And people doing bug triage, mostly are not working in the code.

Hi,

I'm sorry if it sounded too harsh, I had a bad day there.

I don't have any snapshots/dailies from there AFAIK (gotta look again), but I can tell for sure that the bug is not in 3.4.6 either, since that's the version we are currently running. Hope it helps a bit at least.
Comment 36 Cor Nouws 2012-10-28 14:47:10 UTC
Thanks Rainer, hitec,

And the oldest 35master daily build I have hanging around here is  35913b9-4eb4f62-260b7c1 from August 19 2011.
In which the bug is present. So no possibility here now, to narrow the time frame a bit more, alas.

I guess there are no archives with daily builds ?
The first possible date for the builds to check, should be just after the '3.4 branch point' ( which I cannot get clear from http://cgit.freedesktop.org/libreoffice/core/refs/tags )
Comment 37 Rainer Bielefeld Retired 2012-10-28 15:10:18 UTC
Does anybody know where the bibisect builds start? Due to Bug 45183 3.5.0 Beta3 is included, but that's too late.
Comment 38 Michael Stahl (CIB) 2012-10-31 21:28:46 UTC
*** Bug 56186 has been marked as a duplicate of this bug. ***
Comment 39 Cor Nouws 2012-10-31 22:07:34 UTC
(In reply to comment #37)
> Does anybody know where the bibisect builds start? Due to Bug 45183 3.5.0
> Beta3 is included, but that's too late.

Hi Rainer,

I learned from Bjoern that it is indeed from that time. So too late to hunt this specific bug.
And archives with daily builds ... nope. 
But ...
Comment 40 Cor Nouws 2012-10-31 22:11:01 UTC
@ dear_developers that are going to look at this issue: 

note that somewhere in the comments (#11) it is noticed that the bug only occures with the image at the start of a line. When there is text in front of the immage, it does shrink as expected.
I hope this helps.
Comment 41 rathlev 2013-01-30 12:30:12 UTC
Created attachment 73923 [details]
Sample document with formula
Comment 42 rathlev 2013-01-30 12:30:58 UTC
[Reproducible] with "LibreOffice 3.6.4.3 - Build ID: 2ef5aff" - Windows 7 (64 bit)
for formulas (see sample)
Comment 43 rathlev 2013-02-05 09:30:03 UTC
Same with LibreOffice 3.6.5.2 (Build ID: 5b93205)
Comment 44 Joel Madero 2013-02-12 19:49:46 UTC
Reproduced: Version 4.1.0.0.alpha0+ (Build ID: 80cbc04c2cbe25ebdfe2f22bb2e5ba62728e963)

Bodhi Linux

+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Moving to 3.6 MAB as 3.5 has come to EOL and we are closing the meta bug tracker for 3.5 MAB.
Comment 45 josiasmat 2013-02-23 14:43:50 UTC
Reproduced on LibreOffice 4.0.0.3, running on Windows 7 x64.
Comment 46 Jean-Baptiste Faure 2013-02-23 14:57:21 UTC
Please do not change version: https://wiki.documentfoundation.org/BugReport_Details#Version
Comment 47 manj_k 2013-03-26 22:19:18 UTC
*** Bug 62777 has been marked as a duplicate of this bug. ***
Comment 48 Michael Stahl (CIB) 2013-03-28 19:12:58 UTC
Comment on attachment 58871 [details]
test document with image anchored as character

according to comment #9 this bugdoc does not actually cause the bug, marking obsolete
Comment 49 Michael Stahl (CIB) 2013-03-28 19:28:20 UTC
this regression was introduced between OOo 3.3 and OOo 3.4 beta
and imported from there into LO.
Comment 50 Rainer Bielefeld Retired 2013-04-17 04:37:43 UTC
*** Bug 48498 has been marked as a duplicate of this bug. ***
Comment 51 Rainer Bielefeld Retired 2013-04-17 04:52:33 UTC
Additional info concerning formula objects:
"Bug 48498 - Incorrect distance to following contents after formula object anchored as character changes height" with LibO 3.5.1 showed a phenomenon what was not reproducible with the most objects, but is shown in "Sample document with formula" 2013-01-30 12:30 UTC: 

With formula objects there also is a problem with INCREASING height, see <https://bugs.freedesktop.org/show_bug.cgi?id=48498#c4>.

Although that problem looks similar and also appeared with 3.5, that problem seems to be different, I can't reproduce it with LibO 3.6.6.2, while the original problem reported here persists with 3.6.6.2.. The "increase formula height problem" seems unrelated.
Comment 52 Joel Madero 2013-05-13 15:41:41 UTC
*** Bug 64474 has been marked as a duplicate of this bug. ***
Comment 53 Jacques Guilleron 2013-05-16 21:48:10 UTC
*** Bug 64684 has been marked as a duplicate of this bug. ***
Comment 54 Cor Nouws 2013-05-18 16:07:17 UTC
*** Bug 64732 has been marked as a duplicate of this bug. ***
Comment 55 Cor Nouws 2013-05-24 10:55:08 UTC
*** Bug 64944 has been marked as a duplicate of this bug. ***
Comment 56 Michael Stahl (CIB) 2013-05-28 18:29:05 UTC
was introduced by:
CWS sw34bf05 commit c5a8a2c3cbcee0175127a0662e3d820ea4deea22
Comment 57 Cor Nouws 2013-05-29 04:40:01 UTC
*** Bug 65104 has been marked as a duplicate of this bug. ***
Comment 58 Owen Genat (retired) 2013-06-01 12:33:59 UTC
*** Bug 56749 has been marked as a duplicate of this bug. ***
Comment 59 Jorendc 2013-06-01 12:45:25 UTC
*** Bug 46463 has been marked as a duplicate of this bug. ***
Comment 60 tommy27 2013-08-01 05:36:59 UTC
confirmed in LibO 4.0.4 and 4.1.0 (Win7 64bit)

moving it to mab4.0 vs. mab3.6 because 3.6 has reached EOL so we are in the process of closing the meta bug.
Comment 61 john 2013-08-05 05:15:35 UTC
confirmed in libreoffice 4.0.4.2 on Ubuntu 12.04 LTS.
my workaroud is to cut the image, and immediately paste it in again.
Comment 62 Mike Kaganski 2013-09-27 13:41:15 UTC
*** Bug 69844 has been marked as a duplicate of this bug. ***
Comment 63 Regina Henschel 2013-12-07 18:06:00 UTC
*** Bug 52428 has been marked as a duplicate of this bug. ***
Comment 64 stragu 2014-02-12 08:10:40 UTC
Moving to mab4.1 (Bug 60270) because:
- 4.0 reached EOL (End Of Life)
- bug confirmed in later version
Comment 65 Björn Michaelsen 2014-03-15 15:52:57 UTC
Just proposed a fix as https://gerrit.libreoffice.org/#/c/8606/ which is just partially reverting the commit identified in comment 54.

That commit claims to fix a layout loop from i#84870, however opening the test document on master and 4.1.4 release builds still (or again) loops. So partially reverting the change that didnt fix its issue should do no harm and at least heal this regression.

i#84870 needs a proper fix, not this stacking of workarounds, it seems.
Comment 66 Mike Kaganski 2014-03-16 00:42:59 UTC
(In reply to comment #65)

I filed Bug 76219 to reflect the i#84870 state. Actually, it *was* fixed in one LO release (3.5.2.2), and *is* fixed in AOO.
Comment 67 Commit Notification 2014-03-17 10:02:09 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=72a4987434368bfb0b15f5ebb70a52108d349d5f

fdo#47355: partially revert c5a8a2c3cbcee0175127a0662e3d820ea4deea22



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 68 Commit Notification 2014-03-17 10:07:45 UTC
Bjoern Michaelsen committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a54da6a84f751250c694120d1a29aaac89cd3af4&h=libreoffice-4-2

fdo#47355: partially revert c5a8a2c3cbcee0175127a0662e3d820ea4deea22


It will be available in LibreOffice 4.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 69 Stephan van den Akker 2014-03-17 20:38:55 UTC
Confirmed fixed in Master version: 4.3.0.0.alpha0+
Build ID: 55211e612d2cbed03dd81c039d07ea4e936c2804
on openSuSE 12.3 (64-bit)
Comment 70 Mike Kaganski 2014-03-18 00:34:14 UTC
*** Bug 46902 has been marked as a duplicate of this bug. ***
Comment 71 Cor Nouws 2014-03-30 23:50:20 UTC
*** Bug 76615 has been marked as a duplicate of this bug. ***
Comment 72 Cor Nouws 2014-04-08 14:16:43 UTC
*** Bug 77181 has been marked as a duplicate of this bug. ***
Comment 73 Cor Nouws 2014-06-20 17:38:29 UTC
*** Bug 80287 has been marked as a duplicate of this bug. ***
Comment 74 Bart 2015-03-31 12:06:51 UTC
Created attachment 114496 [details]
Bug 47355 in LO Writer 4.4.0.3

Bug appears on page 8, second (lowest) image on the page: shrink it by dragging lower handles, text under it does not follow.
Comment 75 Bart 2015-03-31 12:08:48 UTC
(My previous comment doesn't seem to appear, I copy it here:)
I have this same problem in LibreOffice Writer Version: 4.4.0.3

See newly attached file, go to page 8, second (lower) image on the page. Shrink it by dragging one of the lower handles upwards, text under it will not follow.
Comment 76 Mike Kaganski 2015-03-31 12:47:29 UTC
(In reply to Bart from comment #75)
The attachment 114496 [details] is OK. The behaviour of the abovementioned image is correct, as it is manually positioned (right-click->Image->Type->Position->Vertical: From bottom by 7.92 cm to Base line).

Fixing the alignment (e.g. by right-clicking->Alignment->Base at Top) "fixes" the "problem".
Comment 77 zian rizky 2018-11-25 07:42:43 UTC Comment hidden (spam)